Docker doesn't check virtualbox version correctly


#1

When I try to create a machine, docker-machine complains:

Running pre-create checks...
Error with pre-create check: "Virtual Box version 4 or lower will cause a kernel panicif xhyve tries to run. You are running version: 6.0.0r127566\n\n\t Please upgrade to version 5 at https://www.virtualbox.org/wiki/Downloads"

I have virtualbox 6 now, definitely higher than 4 and a machine (apparently created under 5) runs fine under 6.


(Sean Molenaar) #2

That’s not related to homebrew, it’s a docker-machine issue.


(Sean Molenaar) #3